Bug 206276 (CVE-2006-4625) - CVE-2006-4625 PHP safe mode bypass
Summary: CVE-2006-4625 PHP safe mode bypass
Status: CLOSED DUPLICATE of bug 169857
Alias: CVE-2006-4625
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: php (Show other bugs)
(Show other bugs)
Version: 4.0
Hardware: All Linux
low
low
Target Milestone: ---
: ---
Assignee: Joe Orton
QA Contact: David Lawrence
URL:
Whiteboard: source=cve,reported=20060912,public=2...
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-09-13 13:34 UTC by Josh Bressers
Modified: 2008-06-25 07:24 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-15 12:47:10 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Josh Bressers 2006-09-13 13:34:43 UTC
Text taken from MITRE:

PHP 4.x up to 4.4.4 and PHP 5 up to 5.1.6 allows local users to bypass certain
Apache HTTP Server httpd.conf options, such as safe_mode and open_basedir, via
the ini_restore function, which resets the values to their php.ini (Master
Value) defaults.

http://www.securityfocus.com/archive/1/archive/1/445651/100/0/threaded

This issue also likely affects RHEL2.1 and RHEL3

Comment 1 Joe Orton 2006-09-15 12:47:10 UTC
This issue should not present security issues; safe-mode/open_basedir bypasses
not being considered as such.

*** This bug has been marked as a duplicate of 169857 ***


Note You need to log in before you can comment on or make changes to this bug.